Bug 176056 - Hard drive problem related to SMART
Hard drive problem related to SMART
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2005-12-18 11:36 EST by David Woodhouse
Modified: 2015-01-04 17:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:09:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-12-18 11:36:16 EST
Apparently the kernel now supports the libata passthrough ioctl, but...

# smartctl -a /dev/sda
smartctl version 5.33 [powerpc-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

Device: ATA      ST3160023AS      Version: 3.05

SATA disks accessed via libata are not currently supported by
smartmontools. When libata is given an ATA pass-thru ioctl() then an
additional '-d libata' device type will be added to smartmontools.
Comment 1 David Woodhouse 2005-12-18 11:41:24 EST
Apparently '-d ata' ought to work, although it doesn't work for all commands for
me...

[root@net3-169 ~]# smartctl -d ata --offlineauto=on  /dev/sda
smartctl version 5.33 [powerpc-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF ENABLE/DISABLE COMMANDS SECTION ===
Error SMART Enable Automatic Offline failed: Input/output error
Smartctl: SMART Enable Automatic Offline Failed.

ata1: PIO error
ata1: status=0x50 { DriveReady SeekComplete }
[root@net3-169 ~]#  smartctl -d ata -a /dev/sda
smartctl version 5.33 [powerpc-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Device Model:     ST3160023AS
Serial Number:    3JS3CMQ8
Firmware Version: 3.05
User Capacity:    160,041,885,696 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   6
ATA Standard is:  ATA/ATAPI-6 T13 1410D revision 2
Local Time is:    Sun Dec 18 16:41:54 2005 GMT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
Comment 2 Tomas Mraz 2005-12-20 07:53:29 EST
I've tested enabling/disabling automatic offline tests on similar Seagate drive
and it gives the same results. However note that on the smartctl -a output the
automatic offline status reflects the actual state, so the enable succeeds and
the error happens afterwards.

It could be either incomplete support of this command in the kernel or even the
drive might not support it properly.
Comment 3 Jeff Garzik 2005-12-23 15:24:03 EST
Adding "-d ata" works just fine on all drives I've tested.

This sounds like a drive-specific problem...
Comment 4 Dave Jones 2006-10-16 20:46:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Dave Jones 2006-11-24 18:09:42 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.